## org.eclipse.datatools.connectivity.sqm.core.rte.fe
Class GenericDdlBuilder

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

public class GenericDdlBuilder
extends java.lang.Object

Constructor Summary
`GenericDdlBuilder()`

Method Summary
`java.lang.String` `addCheckConstraint(CheckConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addForeignKey(ForeignKey foreignKey, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addUniqueConstraint(UniqueConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `alterTableAddColumn(Column column, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTableConstraint(TableConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDdlBuilder

    public GenericDdlBuilder()

Method Detail

### dropTrigger

    public java.lang.String dropTrigger(Trigger trigger,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### dropView

    public java.lang.String dropView(ViewTable view,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames)

### dropTableConstraint

    public java.lang.String dropTableConstraint(TableConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### dropIndex

    public java.lang.String dropIndex(Index index,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

### dropTable

    public java.lang.String dropTable(BaseTable table,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

### createTable

    public java.lang.String createTable(BaseTable table,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### alterTableAddColumn

    public java.lang.String alterTableAddColumn(Column column,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### createView

    public java.lang.String createView(ViewTable view,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames)

### createIndex

    public java.lang.String createIndex(Index index,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### createTrigger

    public java.lang.String createTrigger(Trigger trigger,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### addCheckConstraint

    public java.lang.String addCheckConstraint(CheckConstraint constraint,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames)

### addUniqueConstraint

    public java.lang.String addUniqueConstraint(UniqueConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### addForeignKey

    public java.lang.String addForeignKey(ForeignKey foreignKey,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.